<!DOCTYPE html>
<html lang="fr" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
    <link rel="stylesheet" href="css/style.css">
    <title>Spring CRUD</title>
</head>

<body>
    <div class=" container mt-3 ">
        <div class="table-responsive ">
            <table class="table table-bordered table-hover align-middle text-start ">
                <caption summary="Dogs List " class="text-end ">Des chiens</caption>
                <thead>
                    <th scope="col ">Nom</th>
                    <th scope="col ">Race</th>
                    <th scope="col ">Créé le</th>
                    <th scope="col " class="text-center ">actions</th>
                </thead>
                <tbody>
                    <tr th:each="dog : ${dogs}">
                        <td th:text="${dog.name}"></td>
                        <td th:text="${dog.breed}"></td>
                        <td th:text="${dog.createdAt}"></td>
                        <td class="text-center">
                            <button class="btn btn-outline-secondary shadow-none"><a th:href="@{'/get/' + ${dog.id}}" class="fas fa-eye "></a></button>
                            <!-- <button class="btn btn-success shadow-none "><a th:href="# " class="fas fa-edit "></a></button> -->
                            <!-- <button class="btn btn-danger shadow-none "><a th:href="# " class="fas fa-trash-alt "></a></button> -->
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js " integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p " crossorigin="anonymous "></script>
</body>

</html>